# gulp-format-md [![NPM version](https://img.shields.io/npm/v/gulp-format-md.svg)](https://www.npmjs.com/package/gulp-format-md) [![Build Status](https://img.shields.io/travis/jonschlinkert/gulp-format-md.svg)](https://travis-ci.org/jonschlinkert/gulp-format-md)

> Gulp plugin for beautifying markdown using pretty-remarkable.

## Install

Install with [npm](https://www.npmjs.com/):

```sh
$ npm i gulp-format-md --save
```

## Usage

```js
var gulp = require('gulp');
var format = require('gulp-format-md');

gulp.task('format-md', function () {
  return gulp.src('readme.md')
    .pipe(format())
    .pipe(gulp.dest('.'));
});
```

## Options

### force

Force `gulp-format-md` to format files with non-markdown extensions.

**type**

: `boolean`

**default**: `undefined`

**example**

```js
gulp.task('format-md', function () {
  return gulp.src('foo.txt')
    .pipe(format({force: true}))
    .pipe(gulp.dest('.'));
});
```

### newline

`gulp-format-md` ensures that files have a trailing newline by default. Pass `false` to disable this and strip trailing whitespace.

**type**

: `boolean`

**default**: `true`

**example**

```js
gulp.task('format-md', function () {
  return gulp.src('readme.md')
    .pipe(format({newline: false}))
    .pipe(gulp.dest('.'));
});
```

## Related projects

* [gulp](https://www.npmjs.com/package/gulp): The streaming build system | [homepage](http://gulpjs.com)
* [pretty-remarkable](https://www.npmjs.com/package/pretty-remarkable): Plugin for prettifying markdown with Remarkable using custom renderer rules. | [homepage](https://github.com/jonschlinkert/pretty-remarkable)
* [remarkable](https://www.npmjs.com/package/remarkable): Markdown parser, done right. 100% Commonmark support, extensions, syntax plugins, high speed - all in… [more](https://www.npmjs.com/package/remarkable) | [homepage](https://github.com/jonschlinkert/remarkable)

## Generate docs

Generate readme and API documentation with [verb][]:

```sh
$ npm i -d && npm run docs
```

Or, if [verb][] is installed globally:

```sh
$ verb
```

## Running tests

Install dev dependencies:

```sh
$ npm i -d && npm test
```

## Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/gulp-format-md/issues/new).

## Author

**Jon Schlinkert**

* [github/jonschlinkert](https://github.com/jonschlinkert)
* [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

## License

Copyright © 2016 [Jon Schlinkert](https://github.com/jonschlinkert)
Released under the [MIT license](https://github.com/jonschlinkert/gulp-format-md/blob/master/LICENSE).

***

_This file was generated by [verb](https://github.com/verbose/verb), v0.9.0, on February 15, 2016._